<?php
// $Id: 6ga-rclock.php,v 1.8 2011/11/08 00:42:12 name Exp $
//
// 6ga-rclock.php
//
//	Display real-time clock.
//
//	Copyright (c) 2009 Hiro Sugawara
//	Licensed under terms of GPL 2.0
//
include('6ga-common.inc');
?>

<HTML>
<HEAD>
<STYLE TYPE="text/css">
<!--
A {text-decoration:none}
A.anchor {
	color: #000000;
}
A:visited {
	color: #000000;
}
A:hover {
	color: #ff3f00;
	text-decoration: underline;
}
-->
</STYLE>
</HEAD>
<?php
	$tzmins	= 9 * 60;	// JST default
	
	// Get current time zone offset
	if (($fh = popen('date +%z', 'r'))) {
		$tzminstr = trim(fgets($fh, 10));
		pclose($fh);
		sscanf($tzminstr, '%c%2s%2s', $tzsign, $tzh, $tzm);
		$tzmins	= $tzh * 60 + $tzm;
		if ($tzsign == '-') {
			$tzmins *= (-1);
		}
	}
	$tvurl	= @$_COOKIE['tvurl'];

	$now	= time();
	$tv_programs = $isdvr2 ?  $tvurl : "/cgi-bin/tv.cgi?$tvurl";
	echo <<<_EOS
<SCRIPT LANGUAGE='JavaScript'>
<!--
//
// real-time clock code from http://tycho.usno.navy.mil/rc.html
//
var tzmins	= $tzmins;
var DOW		= new Array('Sunday', 'Monday', 'Tuesday', 'Wednesday',
						'Thursday', 'Friday', 'Saturday');

var tick;
function stop() {
 	clearTimeout(tick);
}

function simpleClock() {
	var ct = new Date();
	var ut = ct.getTime() + ct.getTimezoneOffset() * 60 * 1000;
	var jst = new Date(ut + tzmins * 60 * 1000);
	var y, M, d, D, h, m, s;
	var date, time;
	y	= jst.getYear();
	M	= jst.getMonth() + 1;
	d	= jst.getDate();
	D	= jst.getDay();
	h	= jst.getHours();
	m	= jst.getMinutes();
	s	= jst.getSeconds();
	if (y < 2000) y += 1900;
	if (M <= 9) M = '0' + M;
	if (d <= 9) d = '0' + d;
	if (s <= 9) s = '0' + s;
	if (m <= 9) m = '0' + m;
	if (h <= 9) h = '0' + h;
	date = y + '/' + M + '/' + d;
	time = h + ':' + m + ':' + s;

	document.getElementById('time').innerHTML	= time;
	document.getElementById('date').innerHTML	= date;
	document.getElementById('dow').innerHTML	= DOW[D];
	tick	= setTimeout('simpleClock()', 1000);   
}
//-->
</SCRIPT>

<BODY BGCOLOR='$bgcolor' onLoad='simpleClock();' onUnload='stop();'>
<TABLE WIDTH=100% BORDER=0 CELLSPACING=2>
<!--
<TR>
	<TD ALIGN='center' COLSPAN=2><B>
		Current date and time in Japan
	</B></TD>
</TR>
-->
<TR>
	<TD ALIGN='center' COLSPAN=2><FONT SIZE=+2><B>
		<SPAN ID='date'>date</SPAN><BR>
		<SPAN ID='dow'>dow</SPAN></B></FONT></TD>
</TR>
<TR>
	<TD ALIGN='center' COLSPAN=2><FONT SIZE=+3><B>
		<SPAN ID='time'>time</SPAN></B></FONT></TD>
</TR>
<TR>
	<TD ALIGN='left' VALIGN='bottom'>
		<A HREF='.' TARGET='_top'><B>TOP</B></A></TD>
	<TD ALIGN='right' WIDTH='100%'><FONT SIZE=-1><B>
		<A HREF='$tv_programs' TARGET='_6ga_main'>
		TV PROGRAMS</A><BR>
		<A HREF='6ga-sview.php?tab=$thistab&_time=$now' TARGET='_6ga_main'>
		SCHEDULED</A></B></FONT></TD>
</TR>
</TABLE></BODY>
_EOS;
?>
</HTML>
